Issue 120938 - [Writer001]There are top stop at end of toc item after save from odt to doc format
[Writer001]There are top stop at end of toc item after save from odt to doc f...
Status: CLOSED FIXED
Product: Writer
Classification: Application
Component: save-export
4.0.0-dev
All All
: P3 normal (vote)
: 4.0.0
Assigned To: Oliver-Rainer Wittmann
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-13 06:28 UTC by zong dong jun
Modified: 2013-07-12 10:58 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
sample file this bug (10.66 KB, application/vnd.oasis.opendocument.text)
2012-09-13 06:28 UTC, zong dong jun
no flags Details
sample document with some more cases how left indentation and tab stops are applied (12.01 KB, application/octet-stream)
2012-11-20 11:51 UTC, Oliver-Rainer Wittmann
no flags Details
solution for the defect (4.52 KB, patch)
2012-11-22 10:19 UTC, Oliver-Rainer Wittmann
orw: review?
Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description zong dong jun 2012-09-13 06:28:01 UTC
Created attachment 79463 [details]
sample file this bug

Build:
AOO350m1(Build:9610)

Steps:
1.Open the attached sample file in AOO
2.Save this file to doc format
3.Close and Reopen the new saved doc format file

Bug:
There is tab stop at last of toc item.
Comment 1 Oliver-Rainer Wittmann 2012-11-14 08:55:54 UTC
A deeper look reveals that the conversion of the Tab Stop position does not work as expected, if the left indentation and the tap stop are set via a paragraph style.
Comment 2 Oliver-Rainer Wittmann 2012-11-20 11:51:37 UTC
Created attachment 79928 [details]
sample document with some more cases how left indentation and tab stops are applied

fix is in progress.

the new sample document contains some more cases how left indentation and tab stops are applied to a paragraph.
Comment 3 Oliver-Rainer Wittmann 2012-11-22 10:19:32 UTC
Created attachment 79940 [details]
solution for the defect
Comment 4 SVN Robot 2012-11-22 12:47:17 UTC
"orw" committed SVN 0 into trunk:
#120938# - method <WW8AttributeOutput::ParaTabStop(..) - consider left indent...
Comment 5 Oliver-Rainer Wittmann 2012-11-22 12:59:23 UTC
patch applied on trunk
Comment 6 binguo 2012-11-28 08:20:43 UTC
Verified on Aoo_Trunk_20121123.1915 Rev.1412533, There is not tab stop at last of toc item when open the doc saved from odt in aoo, this bug is fixed.
Comment 7 binguo 2012-11-28 08:21:18 UTC
Close it.